Bug 1562364 - aspell is crashing
Summary: aspell is crashing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: aspell
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nikola Forró
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-30 11:21 UTC by Christian Kellner
Modified: 2018-04-05 11:49 UTC (History)
2 users (show)

Fixed In Version: aspell-0.60.6.1-21.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-05 11:49:02 UTC
Type: Bug


Attachments (Terms of Use)

Description Christian Kellner 2018-03-30 11:21:52 UTC
Calling aspell without any parameters leads to a crash. 

This is on F28 with updates as of today.

aspell-12:0.60.6.1-19.fc28.x86_64 : Spell checker

aspell --version
@(#) International Ispell Version 3.1.20 (but really Aspell 0.60.6.1)

(gdb) r
Starting program: /usr/bin/aspell 
/usr/include/c++/8/bits/stl_vector.h:1032: std::vector<_Tp, _Alloc>::reference std::vector<_Tp, _Alloc>::back() [with _Tp = acommon::KeyInfo; _Alloc = std::allocator<acommon::KeyInfo>; std::vector<_Tp, _Alloc>::reference = acommon::KeyInfo&]: Assertion '__builtin_expect(!this->empty(), true)' failed.

Program received signal SIGABRT, Aborted.
0x00007ffff67f3f4b in raise () from /lib64/libc.so.6
(gdb) bt
#0  0x00007ffff67f3f4b in raise () from /lib64/libc.so.6
#1  0x00007ffff67de591 in abort () from /lib64/libc.so.6
#2  0x000055555556aa58 in std::__replacement_assert(char const*, int, char const*, char const*) ()
#3  0x00007ffff7bacbef in acommon::get_dynamic_filter(acommon::Config*, acommon::ParmString const&) () from /lib64/libaspell.so.15
#4  0x00007ffff7bae05c in acommon::load_all_filters(acommon::Config*) () from /lib64/libaspell.so.15
#5  0x000055555555fe03 in print_help(bool) ()
#6  0x000055555555b2c1 in main ()
(gdb) bt full
#0  0x00007ffff67f3f4b in raise () from /lib64/libc.so.6
No symbol table info available.
#1  0x00007ffff67de591 in abort () from /lib64/libc.so.6
No symbol table info available.
#2  0x000055555556aa58 in std::__replacement_assert(char const*, int, char const*, char const*) ()
No symbol table info available.
#3  0x00007ffff7bacbef in acommon::get_dynamic_filter(acommon::Config*, acommon::ParmString const&) () from /lib64/libaspell.so.15
No symbol table info available.
#4  0x00007ffff7bae05c in acommon::load_all_filters(acommon::Config*) () from /lib64/libaspell.so.15
No symbol table info available.
#5  0x000055555555fe03 in print_help(bool) ()
No symbol table info available.
#6  0x000055555555b2c1 in main ()
No symbol table info available.

Comment 1 Nikola Forró 2018-04-04 13:46:47 UTC
Upstream pull request: https://github.com/GNUAspell/aspell/pull/541

Comment 3 Fedora Update System 2018-04-04 14:01:22 UTC
aspell-0.60.6.1-21.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c278bc1f58

Comment 4 Fedora Update System 2018-04-04 18:37:24 UTC
aspell-0.60.6.1-21.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c278bc1f58

Comment 5 Fedora Update System 2018-04-05 11:49:02 UTC
aspell-0.60.6.1-21.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.